> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get importanalyze

> Get a column info from analyze sheet



## OpenAPI

````yaml /swagger.json get /import/analyze
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /import/analyze:
    get:
      tags:
        - import
      description: Get a column info from analyze sheet
      parameters:
        - schema:
            type: string
          required: true
          name: attachmentUrl
          in: query
        - schema:
            type: string
            enum:
              - csv
              - excel
          required: true
          name: fileType
          in: query
      responses:
        '200':
          description: Returns columnHeader analyze from file
          content:
            application/json:
              schema:
                type: object
                properties:
                  worksheets:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        name:
                          type: string
                        columns:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - singleLineText
                                  - longText
                                  - user
                                  - attachment
                                  - checkbox
                                  - multipleSelect
                                  - singleSelect
                                  - date
                                  - number
                                  - rating
                                  - formula
                                  - rollup
                                  - conditionalRollup
                                  - link
                                  - createdTime
                                  - lastModifiedTime
                                  - createdBy
                                  - lastModifiedBy
                                  - autoNumber
                                  - button
                              name:
                                type: string
                            required:
                              - type
                              - name
                      required:
                        - name
                        - columns
                required:
                  - worksheets
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/import/analyze?attachmentUrl=SOME_STRING_VALUE&fileType=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/import/analyze?attachmentUrl=SOME_STRING_VALUE&fileType=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/import/analyze?attachmentUrl=SOME_STRING_VALUE&fileType=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/import/analyze?attachmentUrl=SOME_STRING_VALUE&fileType=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````